Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 1611443002: bluetooth: Update BluetoothGATTCharacteristic.value on writeValue (Closed)

Created:
3 years, 10 months ago by Fran├žois Beaufort
Modified:
3 years, 10 months ago
CC:
blink-reviews, blink-reviews-api_chromium.org, chromium-reviews, darin-cc_chromium.org, dglazkov+blink, jam, mkwst+moarreviews-renderer_chromium.org, mlamouri+watch-content_chromium.org, scheib+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@useDataview
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

bluetooth: Update BluetoothCharacteristic.value on writeValue BUG=507415 Committed: https://crrev.com/f5ab6b86e41c7abbc468ff8b7c3aac245cd2c048 Cr-Commit-Position: refs/heads/master@{#370733}

Patch Set 1 #

Total comments: 1

Patch Set 2 : add a #

Total comments: 1

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+66 lines, -8 lines) Patch
M content/renderer/bluetooth/bluetooth_dispatcher.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M content/renderer/bluetooth/bluetooth_dispatcher.cc View 1 4 chunks +19 lines, -5 lines 0 comments Download
M third_party/WebKit/LayoutTests/bluetooth/writeValue.html View 1 chunk +16 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp View 1 2 2 chunks +28 lines, -1 line 0 comments Download
M third_party/WebKit/public/platform/modules/bluetooth/WebBluetooth.h View 1 1 chunk +1 line, -1 line 0 comments Download

Depends on Patchset:

Messages

Total messages: 19 (7 generated)
fbeaufortchromium
3 years, 10 months ago (2016-01-20 09:16:02 UTC) #2
fbeaufortchromium
mkwst@chromium.org: Please review changes in
3 years, 10 months ago (2016-01-20 09:16:50 UTC) #4
fbeaufortchromium
As mentioned in http://webbluetoothcg.github.io/web-bluetooth/#dom-bluetoothgattcharacteristic-writevalue, BluetoothGATTCharacteristic.value needs to be updated when a new value is written. ...
3 years, 10 months ago (2016-01-20 09:23:04 UTC) #5
ortuno
https://codereview.chromium.org/1611443002/diff/1/content/renderer/bluetooth/bluetooth_dispatcher.cc File content/renderer/bluetooth/bluetooth_dispatcher.cc (right): https://codereview.chromium.org/1611443002/diff/1/content/renderer/bluetooth/bluetooth_dispatcher.cc#newcode669 content/renderer/bluetooth/bluetooth_dispatcher.cc:669: const std::vector<uint8_t>& value) { I don't think you need ...
3 years, 10 months ago (2016-01-20 16:34:40 UTC) #6
yhirano
writeValue.html lgtm
3 years, 10 months ago (2016-01-21 07:52:22 UTC) #7
Mike West
IPC LGTM.
3 years, 10 months ago (2016-01-21 09:29:04 UTC) #8
fbeaufortchromium
On 2016/01/20 16:34:40, ortuno wrote: > https://codereview.chromium.org/1611443002/diff/1/content/renderer/bluetooth/bluetooth_dispatcher.cc > File content/renderer/bluetooth/bluetooth_dispatcher.cc (right): > > https://codereview.chromium.org/1611443002/diff/1/content/renderer/bluetooth/bluetooth_dispatcher.cc#newcode669 > ...
3 years, 10 months ago (2016-01-21 13:31:38 UTC) #11
ortuno
lgtm with one nit https://codereview.chromium.org/1611443002/diff/60001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp File third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp (right): https://codereview.chromium.org/1611443002/diff/60001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp#newcode159 third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp:159: m_webCharacteristic->setValue(domDataView); nit: You can just ...
3 years, 10 months ago (2016-01-21 16:41:32 UTC) #12
fbeaufortchromium
On 2016/01/21 16:41:32, ortuno wrote: > lgtm with one nit > > https://codereview.chromium.org/1611443002/diff/60001/third_party/WebKit/Source/modules/bluetooth/BluetoothGATTCharacteristic.cpp > File ...
3 years, 10 months ago (2016-01-21 16:55:42 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1611443002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1611443002/80001
3 years, 10 months ago (2016-01-21 16:56:34 UTC) #16
commit-bot: I haz the power
Committed patchset #3 (id:80001)
3 years, 10 months ago (2016-01-21 18:30:50 UTC) #17
commit-bot: I haz the power
3 years, 10 months ago (2016-01-21 18:32:27 UTC) #19
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/f5ab6b86e41c7abbc468ff8b7c3aac245cd2c048
Cr-Commit-Position: refs/heads/master@{#370733}

Powered by Google App Engine
This is Rietveld 408576698